Announce Selenium Ruby framework deprecation on appropriate mailing lists (QA, engineering, wikitech-l)
Closed, ResolvedPublic

Description

Send announcement when T171847: Create Jenkins job that runs RelatedArticles Selenium tests daily is resolved. There should be 3 announcements, one per month (August, September, October).

Title: Selenium Ruby framework deprecation

As announced in April[0], we are replacing Selenium tests written in Ruby with tests in Node.js. Now is the last responsible moment to make the move. There will be two more reminders, in September and October. In the meantime, only critical problems will be resolved in the Ruby stack. After October we will no longer maintain it. You can follow task T139740[1] for more information. Extensive documentation is available at mediawiki.org[2]. If you need help with the migration, I am available for pairing and code review (zfilipin in Gerrit, zeljkof in #wikimedia-releng).

Željko Filipin

0: https://lists.wikimedia.org/pipermail/qa/2017-April/002628.html
1: https://phabricator.wikimedia.org/T139740
2: https://www.mediawiki.org/wiki/Selenium/Node.js

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2017, 8:42 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin renamed this task from Announce Ruby framework deprecation on appropriate mailing lists (QA, engineering, wikitech-l) to Announce Selenium Ruby framework deprecation on appropriate mailing lists (QA, engineering, wikitech-l).Aug 17 2017, 9:49 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added subscribers: Jrbranaa, greg.

@greg @Jrbranaa does the deprecation e-mail sound good? Feel free to edit.

greg added a comment.Aug 17 2017, 3:43 PM

Just chatted about it in our 1:1, looks good.

zeljkofilipin lowered the priority of this task from High to Normal.Aug 24 2017, 1:30 PM
zeljkofilipin added a comment.EditedSep 25 2017, 3:09 PM

Started converting wdio e-mails to blog posts:

zeljkofilipin closed this task as Resolved.EditedOct 30 2017, 1:56 PM